# 6.4.0

With more than 120 pull requests, this release brings a facelift of the website, as well as many bug fixes and several exciting new features.

## Upgrade notes

### Pointer events polyfill removed

Now that all major browsers support Pointer events natively, we removed the [elm-pep](https://npmjs.com/package/elm-pep) dependency. If you are targeting older browsers that do not support Pointer events, you now need to include a pointer events polyfill ([elm-pep](https://npmjs.com/package/elm-pep) or [pepjs](https://www.npmjs.com/package/@openlayers/pepjs)) in your application.

## New features and improvements

* Several event handling fixes and improvements for seamless integration into scrollable web pages and improved support for maps in web components.
* Map interactions work again when `ol.css` is not included in the build.
* More stable map views with decluttered labels during panning.
* Image smoothing can be disabled, so raster cells can have sharp edges in image layers now.
* Better cache management for tile layers.
* Retina/HiDPI support for regular shape and svg icon styles.

## List of all changes

 * [#11322](https://github.com/openlayers/openlayers/pull/11322) - same dropdown hover than the site ([@jipexu](https://github.com/jipexu))
 * [#11321](https://github.com/openlayers/openlayers/pull/11321) - dropdown margin bottom ([@jipexu](https://github.com/jipexu))
 * [#11320](https://github.com/openlayers/openlayers/pull/11320) - margin bottom for dropdown ([@jipexu](https://github.com/jipexu))
 * [#11319](https://github.com/openlayers/openlayers/pull/11319) - dropdown margin bottom ([@jipexu](https://github.com/jipexu))
 * [#11318](https://github.com/openlayers/openlayers/pull/11318) - Mark active nav item ([@ahocevar](https://github.com/ahocevar))
 * [#11317](https://github.com/openlayers/openlayers/pull/11317) - Make header and menu navigation consistent with web site ([@ahocevar](https://github.com/ahocevar))
 * [#11277](https://github.com/openlayers/openlayers/pull/11277) - Have high resolution regular shape ([@sbrunner](https://github.com/sbrunner))
 * [#11313](https://github.com/openlayers/openlayers/pull/11313) - Add direct link to other examples to tags ([@MoonE](https://github.com/MoonE))
 * [#11310](https://github.com/openlayers/openlayers/pull/11310) - Update bootstrap, cleanup css, make pages more responsive ([@ahocevar](https://github.com/ahocevar))
 * [#11304](https://github.com/openlayers/openlayers/pull/11304) - Reuse empty canvas ([@ahocevar](https://github.com/ahocevar))
 * [#11309](https://github.com/openlayers/openlayers/pull/11309) - Do not extract comments to avoid asset name conflicts ([@ahocevar](https://github.com/ahocevar))
 * [#11306](https://github.com/openlayers/openlayers/pull/11306) - Replace/remove usage of tileserver.maptiler.com ([@petrsloup](https://github.com/petrsloup))
 * [#11270](https://github.com/openlayers/openlayers/pull/11270) - Fix handling of events originating from overlayContainerStopEvent children ([@ahocevar](https://github.com/ahocevar))
 * [#11269](https://github.com/openlayers/openlayers/pull/11269) - Register and unregister events in set target handler ([@ahocevar](https://github.com/ahocevar))
 * [#11300](https://github.com/openlayers/openlayers/pull/11300) - Drag and Drop to update source and fire event only if features added ([@mike-000](https://github.com/mike-000))
 * [#11286](https://github.com/openlayers/openlayers/pull/11286) - Allow line breaks before slashes in apidoc navigation ([@MoonE](https://github.com/MoonE))
 * [#11287](https://github.com/openlayers/openlayers/pull/11287) - Examples index page fixes ([@MoonE](https://github.com/MoonE))
 * [#11197](https://github.com/openlayers/openlayers/pull/11197) - Added '&&' logical operator to expressions ([@RydingM](https://github.com/RydingM))
 * [#11283](https://github.com/openlayers/openlayers/pull/11283) - Remove update while interacting/animating from VectorImage ([@yonzmeer](https://github.com/yonzmeer))
 * [#11267](https://github.com/openlayers/openlayers/pull/11267) - Fix upright labels on vector tiles ([@ahocevar](https://github.com/ahocevar))
 * [#11263](https://github.com/openlayers/openlayers/pull/11263) - Fix rotation reset in Mapbox-gl Layer example ([@mike-000](https://github.com/mike-000))
 * [#11268](https://github.com/openlayers/openlayers/pull/11268) - Cache size ([@ahocevar](https://github.com/ahocevar))
 * [#11271](https://github.com/openlayers/openlayers/pull/11271) - Make style override CSS compatible with importing ol.css and with IE ([@mike-000](https://github.com/mike-000))
 * [#11253](https://github.com/openlayers/openlayers/pull/11253) - Only clamp to source extent for safe transforms ([@ahocevar](https://github.com/ahocevar))
 * [#11258](https://github.com/openlayers/openlayers/pull/11258) - Replace ol tag with openlayers ([@ahocevar](https://github.com/ahocevar))
 * [#11256](https://github.com/openlayers/openlayers/pull/11256) - Add dispose API docs to raster source (#10856) ([@EvertEt](https://github.com/EvertEt))
 * [#11255](https://github.com/openlayers/openlayers/pull/11255) - GetDataAtPixel performance improvement ([@Shekenix](https://github.com/Shekenix))
 * [#11252](https://github.com/openlayers/openlayers/pull/11252) - Add missing SimpleGeometry export ([@jmacura](https://github.com/jmacura))
 * [#11226](https://github.com/openlayers/openlayers/pull/11226) - By modifying the common vertex, not all geometries were changed when … ([@michalzielanski](https://github.com/michalzielanski))
 * [#11225](https://github.com/openlayers/openlayers/pull/11225) - Use 'source-over' to render reprojection edges ([@mike-000](https://github.com/mike-000))
 * [#11224](https://github.com/openlayers/openlayers/pull/11224) - Quote . in RegExp ([@mohawk2](https://github.com/mohawk2))
 * [#11219](https://github.com/openlayers/openlayers/pull/11219) - Make proj4 transforms behave like built-in transforms ([@ahocevar](https://github.com/ahocevar))
 * [#11218](https://github.com/openlayers/openlayers/pull/11218) - getFeatures() uses wrong transforms after resetting rotation ([@ahocevar](https://github.com/ahocevar))
 * [#11217](https://github.com/openlayers/openlayers/pull/11217) - Additional test coverage for serializing GeoJSON ([@tschaub](https://github.com/tschaub))
 * [#11215](https://github.com/openlayers/openlayers/pull/11215) - Fix MVT multipolygons with featureClass: Feature ([@ahocevar](https://github.com/ahocevar))
 * [#11193](https://github.com/openlayers/openlayers/pull/11193) - Fix VectorImage layer clipping with rotation ([@mike-000](https://github.com/mike-000))
 * [#11195](https://github.com/openlayers/openlayers/pull/11195) - getExtent() to return getEmpty() if geometry is unprojectable ([@mike-000](https://github.com/mike-000))
 * [#11188](https://github.com/openlayers/openlayers/pull/11188) - Late object initialization ([@michalzielanski](https://github.com/michalzielanski))
 * [#11194](https://github.com/openlayers/openlayers/pull/11194) - ol/geom/LineString#getCoordinateAt() to return Z and M values if available ([@mike-000](https://github.com/mike-000))
 * [#11198](https://github.com/openlayers/openlayers/pull/11198) - Add condition option to Extent interaction ([@mike-000](https://github.com/mike-000))
 * [#11202](https://github.com/openlayers/openlayers/pull/11202) - Branch name changes ([@tschaub](https://github.com/tschaub))
 * [#11192](https://github.com/openlayers/openlayers/pull/11192) - Use pepjs in examples to support more old/exotic browsers ([@ahocevar](https://github.com/ahocevar))
 * [#11190](https://github.com/openlayers/openlayers/pull/11190) - Correct vector layer clipping with rotation ([@mike-000](https://github.com/mike-000))
 * [#11037](https://github.com/openlayers/openlayers/pull/11037) - Allow icon and text styles to be scaled in two dimensions ([@mike-000](https://github.com/mike-000))
 * [#11165](https://github.com/openlayers/openlayers/pull/11165) - Use drag-pan default condition with onFocusOnly ([@ahocevar](https://github.com/ahocevar))
 * [#11172](https://github.com/openlayers/openlayers/pull/11172) - Use cross-browser find ([@ahocevar](https://github.com/ahocevar))
 * [#11171](https://github.com/openlayers/openlayers/pull/11171) - Allow using un() for events registered with once() ([@ahocevar](https://github.com/ahocevar))
 * [#11148](https://github.com/openlayers/openlayers/pull/11148) - Vectortile label flicker ([@ahocevar](https://github.com/ahocevar))
 * [#11174](https://github.com/openlayers/openlayers/pull/11174) - Improve types and docs for getStyle/setStyle ([@ahocevar](https://github.com/ahocevar))
 * [#11173](https://github.com/openlayers/openlayers/pull/11173) - Remove elm-pep dependency ([@ahocevar](https://github.com/ahocevar))
 * [#11146](https://github.com/openlayers/openlayers/pull/11146) - Update JSTS example to use JSTS 2.3.0 ([@bjornharrtell](https://github.com/bjornharrtell))
 * [#11135](https://github.com/openlayers/openlayers/pull/11135) - Re-enable onFocusOnly option for interaction defaults ([@ahocevar](https://github.com/ahocevar))
 * [#11106](https://github.com/openlayers/openlayers/pull/11106) - Defer ZoomSlider initialization until its size is available ([@M393](https://github.com/M393))
 * [#11120](https://github.com/openlayers/openlayers/pull/11120) - correct scalebar box sizing ([@mike-000](https://github.com/mike-000))
 * [#11116](https://github.com/openlayers/openlayers/pull/11116) - No search autocomplete ([@ahocevar](https://github.com/ahocevar))
 * [#11088](https://github.com/openlayers/openlayers/pull/11088) - Transform without axis order in proj4 ([@ahocevar](https://github.com/ahocevar))
 * [#11089](https://github.com/openlayers/openlayers/pull/11089) - Use assign function instead of Object.assign ([@ahocevar](https://github.com/ahocevar))
 * [#11082](https://github.com/openlayers/openlayers/pull/11082) - Fix outside window dragging ([@ahocevar](https://github.com/ahocevar))
 * [#11066](https://github.com/openlayers/openlayers/pull/11066) - Move code of conduct to the root ([@tschaub](https://github.com/tschaub))
 * [#11065](https://github.com/openlayers/openlayers/pull/11065) - Remove CircleCI integration ([@tschaub](https://github.com/tschaub))
 * [#11054](https://github.com/openlayers/openlayers/pull/11054) - Add a code of conduct ([@openlayers](https://github.com/openlayers))
 * [#11053](https://github.com/openlayers/openlayers/pull/11053) - Build examples and API docs ([@tschaub](https://github.com/tschaub))
 * [#11050](https://github.com/openlayers/openlayers/pull/11050) - Run rendering and spec tests in parallel ([@tschaub](https://github.com/tschaub))
 * [#11051](https://github.com/openlayers/openlayers/pull/11051) - Clear event listeners when disposing a raster source. ([@tschaub](https://github.com/tschaub))
 * [#11046](https://github.com/openlayers/openlayers/pull/11046) - Reprojection: Just draw everything on pixel boundaries (always) ([@pjsg](https://github.com/pjsg))
 * [#11049](https://github.com/openlayers/openlayers/pull/11049) - Fix tile opaque ([@alexisig](https://github.com/alexisig))
 * [#11048](https://github.com/openlayers/openlayers/pull/11048) - Run tests as a GitHub CI workflow ([@openlayers](https://github.com/openlayers))
 * [#11047](https://github.com/openlayers/openlayers/pull/11047) - Include processor from pixelworks and terminate workers before creating new ones ([@tschaub](https://github.com/tschaub))
 * [#11045](https://github.com/openlayers/openlayers/pull/11045) - Install headless Chrome dependencies ([@tschaub](https://github.com/tschaub))
 * [#11044](https://github.com/openlayers/openlayers/pull/11044) - Remove personal Mapbox key ([@tschaub](https://github.com/tschaub))
 * [#11042](https://github.com/openlayers/openlayers/pull/11042) - Fix legacy build by defining ol alias ([@ahocevar](https://github.com/ahocevar))
 * [#11041](https://github.com/openlayers/openlayers/pull/11041) - Fix custom controls with user-provided element ([@ahocevar](https://github.com/ahocevar))
 * [#11025](https://github.com/openlayers/openlayers/pull/11025) - Get rid of MapBrowserPointerEvent ([@ahocevar](https://github.com/ahocevar))
 * [#11024](https://github.com/openlayers/openlayers/pull/11024) - Make events work when inside a web component ([@ahocevar](https://github.com/ahocevar))
 * [#11019](https://github.com/openlayers/openlayers/pull/11019) - Option to disable image smoothing for Image layer sources ([@mike-000](https://github.com/mike-000))
 * [#11023](https://github.com/openlayers/openlayers/pull/11023) - Add MapBrowserPointerEvent to apidoc ([@MoonE](https://github.com/MoonE))
 * [#11017](https://github.com/openlayers/openlayers/pull/11017) - Don't stop geolocation tracking on error ([@fredj](https://github.com/fredj))
 * [#11011](https://github.com/openlayers/openlayers/pull/11011) - Set background fill style for each declutter label ([@mike-000](https://github.com/mike-000))
 * [#10977](https://github.com/openlayers/openlayers/pull/10977) - Only render vector tile when there are executor groups ([@ahocevar](https://github.com/ahocevar))
 * [#10990](https://github.com/openlayers/openlayers/pull/10990) - Include context options in tile cache key ([@mike-000](https://github.com/mike-000))
 * [#10996](https://github.com/openlayers/openlayers/pull/10996) - Mapbox vector layer ([@tschaub](https://github.com/tschaub))
 * [#10998](https://github.com/openlayers/openlayers/pull/10998) - Show the main.js right below the map ([@tschaub](https://github.com/tschaub))
 * [#10997](https://github.com/openlayers/openlayers/pull/10997) - Update shelljs ([@tschaub](https://github.com/tschaub))
 * [#10987](https://github.com/openlayers/openlayers/pull/10987) - Use brokenDiagonalRendering reprojection processing if image smoothing is disabled ([@mike-000](https://github.com/mike-000))
 * [#10948](https://github.com/openlayers/openlayers/pull/10948) - Add constrainResolution option ([@wussup](https://github.com/wussup))
 * [#10981](https://github.com/openlayers/openlayers/pull/10981) - Calculate WMTS TileGrid extent using TileMatrixSetLimit when available ([@nielsmeijer](https://github.com/nielsmeijer))
 * [#10993](https://github.com/openlayers/openlayers/pull/10993) - Do not rely on custom type overrides ([@ahocevar](https://github.com/ahocevar))
 * [#10989](https://github.com/openlayers/openlayers/pull/10989) - Add log2 function to ol/math ([@mike-000](https://github.com/mike-000))
 * [#10986](https://github.com/openlayers/openlayers/pull/10986) - Correct bold font tag closure in example description ([@mike-000](https://github.com/mike-000))
 * [#10982](https://github.com/openlayers/openlayers/pull/10982) - Handle scaled output canvas correctly ([@ahocevar](https://github.com/ahocevar))
 * [#10983](https://github.com/openlayers/openlayers/pull/10983) - Trying to fix CI ([@ahocevar](https://github.com/ahocevar))
 * [#10976](https://github.com/openlayers/openlayers/pull/10976) - Apply projection.getMetersPerUnit() to calculated WMTS resolution ([@nielsmeijer](https://github.com/nielsmeijer))
 * [#10960](https://github.com/openlayers/openlayers/pull/10960) - Improve Vector Clipping Layer example with a background layer and intersect ([@SDaron](https://github.com/SDaron))
 * [#10956](https://github.com/openlayers/openlayers/pull/10956) - Add undefined check for navigator.userAgent ([@pmulholland42](https://github.com/pmulholland42))
 * [#10936](https://github.com/openlayers/openlayers/pull/10936) - Set pointerEvents style programmatically instead of relying on ol.css ([@ahocevar](https://github.com/ahocevar))
 * [#10941](https://github.com/openlayers/openlayers/pull/10941) - Always prevent default after handleDragEvent ([@ahocevar](https://github.com/ahocevar))
 * [#10939](https://github.com/openlayers/openlayers/pull/10939) - Losen listener type ([@ahocevar](https://github.com/ahocevar))
 * [#10935](https://github.com/openlayers/openlayers/pull/10935) - Fix calling Overlay.panIntoView with no options ([@ejn](https://github.com/ejn))
 * [#10937](https://github.com/openlayers/openlayers/pull/10937) - Use the tile coordinate as a tile pseudo URL in geojson-vt example ([@mike-000](https://github.com/mike-000))
 * [#10934](https://github.com/openlayers/openlayers/pull/10934) - Update TypeScript to v3.8 ([@ahocevar](https://github.com/ahocevar))
 * [#10931](https://github.com/openlayers/openlayers/pull/10931) - Use a new cache key in hopes of fixing test failures ([@tschaub](https://github.com/tschaub))
 * [#10930](https://github.com/openlayers/openlayers/pull/10930) - Better test for uniform colors ([@ahocevar](https://github.com/ahocevar))
 * [#10929](https://github.com/openlayers/openlayers/pull/10929) - Fix typo in 6.3.0 release doc ([@nikolas](https://github.com/nikolas))
 * [#10917](https://github.com/openlayers/openlayers/pull/10917) - Fix the IGN WMTS example dead links and attribution ([@sambakk](https://github.com/sambakk))
 * [#10911](https://github.com/openlayers/openlayers/pull/10911) - Remove link for fullscreen event from navigation ([@MoonE](https://github.com/MoonE))
 * [#10916](https://github.com/openlayers/openlayers/pull/10916) - Store additional artifacts to debug test failures ([@tschaub](https://github.com/tschaub))
 * [#10902](https://github.com/openlayers/openlayers/pull/10902) - Move readFromDocument implementation to the base class ([@fredj](https://github.com/fredj))
 * [#10899](https://github.com/openlayers/openlayers/pull/10899) - Do not scroll page during feature translation ([@ahocevar](https://github.com/ahocevar))
 * [#10862](https://github.com/openlayers/openlayers/pull/10862) - Use prettier ([@tschaub](https://github.com/tschaub))
 * [#10895](https://github.com/openlayers/openlayers/pull/10895) - Fix dependency source management for examples ([@ahocevar](https://github.com/ahocevar))
 * [#10882](https://github.com/openlayers/openlayers/pull/10882) - Apidoc - Fix toggle state when there are no hidden members ([@MoonE](https://github.com/MoonE))
 * [#10893](https://github.com/openlayers/openlayers/pull/10893) - Fix focus condition ([@ahocevar](https://github.com/ahocevar))
 * [#10878](https://github.com/openlayers/openlayers/pull/10878) - Avoid page scrolling when freehand drawing on mobile ([@ahocevar](https://github.com/ahocevar))
 * [#10879](https://github.com/openlayers/openlayers/pull/10879) - Do not append hit canvas to document body ([@ahocevar](https://github.com/ahocevar))
 * [#10877](https://github.com/openlayers/openlayers/pull/10877) - Remove .d.ts files from the package ([@ahocevar](https://github.com/ahocevar))
 * [#10874](https://github.com/openlayers/openlayers/pull/10874) - fix return type ([@mike-000](https://github.com/mike-000))
 * [#10840](https://github.com/openlayers/openlayers/pull/10840) - Remove inherit doc ([@fredj](https://github.com/fredj))
 * [#10872](https://github.com/openlayers/openlayers/pull/10872) - Use TypeScript 3.9 for type generation for better enums ([@ahocevar](https://github.com/ahocevar))
 * [#10537](https://github.com/openlayers/openlayers/pull/10537) - Correct resolution used for scale bar and add dpi option ([@mike-000](https://github.com/mike-000))
 * [#10463](https://github.com/openlayers/openlayers/pull/10463) - Fix issue with reprojection and double drawing pixels. ([@pjsg](https://github.com/pjsg))
 * [#10429](https://github.com/openlayers/openlayers/pull/10429) - Option to disable image smoothing for Tile layer sources (including reprojected sources) ([@mike-000](https://github.com/mike-000))
 * [#10865](https://github.com/openlayers/openlayers/pull/10865) - View / avoid solving constraints related to map size during animation ([@jahow](https://github.com/jahow))


<details>
  <summary>Dependency Updates</summary>

 * [#11298](https://github.com/openlayers/openlayers/pull/11298) - Bump @babel/core from 7.10.4 to 7.10.5 ([@openlayers](https://github.com/openlayers))
 * [#11297](https://github.com/openlayers/openlayers/pull/11297) - Bump puppeteer from 5.1.0 to 5.2.0 ([@openlayers](https://github.com/openlayers))
 * [#11296](https://github.com/openlayers/openlayers/pull/11296) - Bump typescript from 3.9.6 to 3.9.7 ([@openlayers](https://github.com/openlayers))
 * [#11295](https://github.com/openlayers/openlayers/pull/11295) - Bump eslint from 7.4.0 to 7.5.0 ([@openlayers](https://github.com/openlayers))
 * [#11294](https://github.com/openlayers/openlayers/pull/11294) - Bump rollup from 2.21.0 to 2.22.1 ([@openlayers](https://github.com/openlayers))
 * [#11293](https://github.com/openlayers/openlayers/pull/11293) - Bump terser-webpack-plugin from 3.0.6 to 3.0.7 ([@openlayers](https://github.com/openlayers))
 * [#11292](https://github.com/openlayers/openlayers/pull/11292) - Bump url-polyfill from 1.1.9 to 1.1.10 ([@openlayers](https://github.com/openlayers))
 * [#11291](https://github.com/openlayers/openlayers/pull/11291) - Bump marked from 1.1.0 to 1.1.1 ([@openlayers](https://github.com/openlayers))
 * [#11288](https://github.com/openlayers/openlayers/pull/11288) - Bump lodash from 4.17.15 to 4.17.19 ([@openlayers](https://github.com/openlayers))
 * [#11275](https://github.com/openlayers/openlayers/pull/11275) - Bump puppeteer from 5.0.0 to 5.1.0 ([@openlayers](https://github.com/openlayers))
 * [#11274](https://github.com/openlayers/openlayers/pull/11274) - Bump rollup from 2.19.0 to 2.21.0 ([@openlayers](https://github.com/openlayers))
 * [#11273](https://github.com/openlayers/openlayers/pull/11273) - Bump yargs from 15.4.0 to 15.4.1 ([@openlayers](https://github.com/openlayers))
 * [#11244](https://github.com/openlayers/openlayers/pull/11244) - Bump rollup from 2.18.0 to 2.19.0 ([@openlayers](https://github.com/openlayers))
 * [#11245](https://github.com/openlayers/openlayers/pull/11245) - Bump @babel/core from 7.10.3 to 7.10.4 ([@openlayers](https://github.com/openlayers))
 * [#11243](https://github.com/openlayers/openlayers/pull/11243) - Bump pixelmatch from 5.2.0 to 5.2.1 ([@openlayers](https://github.com/openlayers))
 * [#11248](https://github.com/openlayers/openlayers/pull/11248) - Bump eslint from 7.3.0 to 7.4.0 ([@openlayers](https://github.com/openlayers))
 * [#11247](https://github.com/openlayers/openlayers/pull/11247) - Bump @babel/preset-env from 7.10.3 to 7.10.4 ([@openlayers](https://github.com/openlayers))
 * [#11249](https://github.com/openlayers/openlayers/pull/11249) - Bump copy-webpack-plugin from 6.0.2 to 6.0.3 ([@openlayers](https://github.com/openlayers))
 * [#11246](https://github.com/openlayers/openlayers/pull/11246) - Bump yargs from 15.3.1 to 15.4.0 ([@openlayers](https://github.com/openlayers))
 * [#11242](https://github.com/openlayers/openlayers/pull/11242) - Bump typescript from 3.9.5 to 3.9.6 ([@openlayers](https://github.com/openlayers))
 * [#11241](https://github.com/openlayers/openlayers/pull/11241) - Bump puppeteer from 4.0.0 to 5.0.0 ([@openlayers](https://github.com/openlayers))
 * [#11210](https://github.com/openlayers/openlayers/pull/11210) - Bump puppeteer from 3.3.0 to 4.0.0 ([@openlayers](https://github.com/openlayers))
 * [#11209](https://github.com/openlayers/openlayers/pull/11209) - Bump rollup from 2.16.1 to 2.18.0 ([@openlayers](https://github.com/openlayers))
 * [#11208](https://github.com/openlayers/openlayers/pull/11208) - Bump webpack-cli from 3.3.11 to 3.3.12 ([@openlayers](https://github.com/openlayers))
 * [#11207](https://github.com/openlayers/openlayers/pull/11207) - Bump eslint from 7.2.0 to 7.3.0 ([@openlayers](https://github.com/openlayers))
 * [#11206](https://github.com/openlayers/openlayers/pull/11206) - Bump @babel/preset-env from 7.10.2 to 7.10.3 ([@openlayers](https://github.com/openlayers))
 * [#11205](https://github.com/openlayers/openlayers/pull/11205) - Bump terser-webpack-plugin from 3.0.4 to 3.0.6 ([@openlayers](https://github.com/openlayers))
 * [#11204](https://github.com/openlayers/openlayers/pull/11204) - Bump @babel/core from 7.10.2 to 7.10.3 ([@openlayers](https://github.com/openlayers))
 * [#11183](https://github.com/openlayers/openlayers/pull/11183) - Bump mocha from 7.2.0 to 8.0.1 ([@openlayers](https://github.com/openlayers))
 * [#11181](https://github.com/openlayers/openlayers/pull/11181) - Bump terser-webpack-plugin from 3.0.3 to 3.0.4 ([@openlayers](https://github.com/openlayers))
 * [#11182](https://github.com/openlayers/openlayers/pull/11182) - Bump rollup from 2.15.0 to 2.16.1 ([@openlayers](https://github.com/openlayers))
 * [#11180](https://github.com/openlayers/openlayers/pull/11180) - Bump karma from 5.0.9 to 5.1.0 ([@openlayers](https://github.com/openlayers))
 * [#11158](https://github.com/openlayers/openlayers/pull/11158) - Bump globby from 11.0.0 to 11.0.1 ([@openlayers](https://github.com/openlayers))
 * [#11157](https://github.com/openlayers/openlayers/pull/11157) - Bump copy-webpack-plugin from 6.0.1 to 6.0.2 ([@openlayers](https://github.com/openlayers))
 * [#11151](https://github.com/openlayers/openlayers/pull/11151) - Bump terser-webpack-plugin from 3.0.2 to 3.0.3 ([@openlayers](https://github.com/openlayers))
 * [#11156](https://github.com/openlayers/openlayers/pull/11156) - Bump typescript from 3.9.3 to 3.9.5 ([@openlayers](https://github.com/openlayers))
 * [#11155](https://github.com/openlayers/openlayers/pull/11155) - Bump fs-extra from 9.0.0 to 9.0.1 ([@openlayers](https://github.com/openlayers))
 * [#11152](https://github.com/openlayers/openlayers/pull/11152) - Bump puppeteer from 3.2.0 to 3.3.0 ([@openlayers](https://github.com/openlayers))
 * [#11153](https://github.com/openlayers/openlayers/pull/11153) - Bump eslint from 6.8.0 to 7.2.0 ([@openlayers](https://github.com/openlayers))
 * [#11150](https://github.com/openlayers/openlayers/pull/11150) - Bump rollup from 2.12.0 to 2.15.0 ([@openlayers](https://github.com/openlayers))
 * [#11154](https://github.com/openlayers/openlayers/pull/11154) - Bump ol-mapbox-style from 6.1.1 to 6.1.2 ([@openlayers](https://github.com/openlayers))
 * [#11143](https://github.com/openlayers/openlayers/pull/11143) - [Security] Bump websocket-extensions from 0.1.3 to 0.1.4 ([@openlayers](https://github.com/openlayers))
 * [#11123](https://github.com/openlayers/openlayers/pull/11123) - Bump @babel/core from 7.9.6 to 7.10.2 ([@openlayers](https://github.com/openlayers))
 * [#11122](https://github.com/openlayers/openlayers/pull/11122) - Bump karma-coverage-istanbul-reporter from 3.0.2 to 3.0.3 ([@openlayers](https://github.com/openlayers))
 * [#11125](https://github.com/openlayers/openlayers/pull/11125) - Bump terser-webpack-plugin from 3.0.1 to 3.0.2 ([@openlayers](https://github.com/openlayers))
 * [#11126](https://github.com/openlayers/openlayers/pull/11126) - Bump front-matter from 4.0.0 to 4.0.2 ([@openlayers](https://github.com/openlayers))
 * [#11124](https://github.com/openlayers/openlayers/pull/11124) - Bump rollup from 2.10.9 to 2.12.0 ([@openlayers](https://github.com/openlayers))
 * [#11127](https://github.com/openlayers/openlayers/pull/11127) - Bump @babel/preset-env from 7.9.6 to 7.10.2 ([@openlayers](https://github.com/openlayers))
 * [#11121](https://github.com/openlayers/openlayers/pull/11121) - Bump puppeteer from 3.1.0 to 3.2.0 ([@openlayers](https://github.com/openlayers))
 * [#11096](https://github.com/openlayers/openlayers/pull/11096) - Bump rollup-plugin-terser from 5.3.0 to 6.1.0 ([@openlayers](https://github.com/openlayers))
 * [#11095](https://github.com/openlayers/openlayers/pull/11095) - Bump front-matter from 3.2.1 to 4.0.0 ([@openlayers](https://github.com/openlayers))
 * [#11094](https://github.com/openlayers/openlayers/pull/11094) - Bump rollup from 2.10.2 to 2.10.9 ([@openlayers](https://github.com/openlayers))
 * [#11099](https://github.com/openlayers/openlayers/pull/11099) - Bump mocha from 7.1.2 to 7.2.0 ([@openlayers](https://github.com/openlayers))
 * [#11093](https://github.com/openlayers/openlayers/pull/11093) - Bump karma from 5.0.7 to 5.0.9 ([@openlayers](https://github.com/openlayers))
 * [#11098](https://github.com/openlayers/openlayers/pull/11098) - Bump typescript from 3.9.2 to 3.9.3 ([@openlayers](https://github.com/openlayers))
 * [#11097](https://github.com/openlayers/openlayers/pull/11097) - Bump puppeteer from 3.0.4 to 3.1.0 ([@openlayers](https://github.com/openlayers))
 * [#11062](https://github.com/openlayers/openlayers/pull/11062) - Bump typescript from 3.8.3 to 3.9.2 ([@openlayers](https://github.com/openlayers))
 * [#11057](https://github.com/openlayers/openlayers/pull/11057) - Bump copy-webpack-plugin from 5.1.1 to 6.0.1 ([@openlayers](https://github.com/openlayers))
 * [#11060](https://github.com/openlayers/openlayers/pull/11060) - Bump karma from 5.0.5 to 5.0.7 ([@openlayers](https://github.com/openlayers))
 * [#11059](https://github.com/openlayers/openlayers/pull/11059) - Bump rollup from 2.9.1 to 2.10.2 ([@openlayers](https://github.com/openlayers))
 * [#11058](https://github.com/openlayers/openlayers/pull/11058) - Bump marked from 1.0.0 to 1.1.0 ([@openlayers](https://github.com/openlayers))
 * [#11064](https://github.com/openlayers/openlayers/pull/11064) - Bump front-matter from 3.1.0 to 3.2.1 ([@openlayers](https://github.com/openlayers))
 * [#11061](https://github.com/openlayers/openlayers/pull/11061) - Bump url-polyfill from 1.1.8 to 1.1.9 ([@openlayers](https://github.com/openlayers))
 * [#11063](https://github.com/openlayers/openlayers/pull/11063) - Bump proj4 from 2.6.1 to 2.6.2 ([@openlayers](https://github.com/openlayers))
 * [#11030](https://github.com/openlayers/openlayers/pull/11030) - Bump karma-coverage-istanbul-reporter from 3.0.0 to 3.0.2 ([@openlayers](https://github.com/openlayers))
 * [#11031](https://github.com/openlayers/openlayers/pull/11031) - Bump karma from 5.0.4 to 5.0.5 ([@openlayers](https://github.com/openlayers))
 * [#11032](https://github.com/openlayers/openlayers/pull/11032) - Bump puppeteer from 3.0.2 to 3.0.4 ([@openlayers](https://github.com/openlayers))
 * [#11029](https://github.com/openlayers/openlayers/pull/11029) - Bump jquery from 3.5.0 to 3.5.1 ([@openlayers](https://github.com/openlayers))
 * [#11028](https://github.com/openlayers/openlayers/pull/11028) - Bump rollup from 2.7.6 to 2.9.1 ([@openlayers](https://github.com/openlayers))
 * [#11027](https://github.com/openlayers/openlayers/pull/11027) - Bump terser-webpack-plugin from 3.0.0 to 3.0.1 ([@openlayers](https://github.com/openlayers))
 * [#11026](https://github.com/openlayers/openlayers/pull/11026) - Bump webpack-dev-server from 3.10.3 to 3.11.0 ([@openlayers](https://github.com/openlayers))
 * [#11006](https://github.com/openlayers/openlayers/pull/11006) - Bump karma-mocha from 2.0.0 to 2.0.1 ([@openlayers](https://github.com/openlayers))
 * [#11005](https://github.com/openlayers/openlayers/pull/11005) - Bump karma from 5.0.2 to 5.0.4 ([@openlayers](https://github.com/openlayers))
 * [#11003](https://github.com/openlayers/openlayers/pull/11003) - Bump rollup from 2.7.2 to 2.7.6 ([@openlayers](https://github.com/openlayers))
 * [#11002](https://github.com/openlayers/openlayers/pull/11002) - Bump puppeteer from 2.1.1 to 3.0.2 ([@openlayers](https://github.com/openlayers))
 * [#10999](https://github.com/openlayers/openlayers/pull/10999) - Bump @babel/core from 7.9.0 to 7.9.6 ([@openlayers](https://github.com/openlayers))
 * [#11004](https://github.com/openlayers/openlayers/pull/11004) - Bump @babel/preset-env from 7.9.5 to 7.9.6 ([@openlayers](https://github.com/openlayers))
 * [#11001](https://github.com/openlayers/openlayers/pull/11001) - Bump karma-coverage-istanbul-reporter from 2.1.1 to 3.0.0 ([@openlayers](https://github.com/openlayers))
 * [#11000](https://github.com/openlayers/openlayers/pull/11000) - Bump terser-webpack-plugin from 2.3.6 to 3.0.0 ([@openlayers](https://github.com/openlayers))
 * [#10971](https://github.com/openlayers/openlayers/pull/10971) - Bump webpack from 4.42.1 to 4.43.0 ([@openlayers](https://github.com/openlayers))
 * [#10972](https://github.com/openlayers/openlayers/pull/10972) - Bump marked from 0.8.2 to 1.0.0 ([@openlayers](https://github.com/openlayers))
 * [#10970](https://github.com/openlayers/openlayers/pull/10970) - Bump mocha from 7.1.1 to 7.1.2 ([@openlayers](https://github.com/openlayers))
 * [#10969](https://github.com/openlayers/openlayers/pull/10969) - Bump puppeteer from 3.0.0 to 3.0.1 ([@openlayers](https://github.com/openlayers))
 * [#10968](https://github.com/openlayers/openlayers/pull/10968) - Bump coveralls from 3.0.11 to 3.1.0 ([@openlayers](https://github.com/openlayers))
 * [#10967](https://github.com/openlayers/openlayers/pull/10967) - Bump terser-webpack-plugin from 2.3.5 to 2.3.6 ([@openlayers](https://github.com/openlayers))
 * [#10966](https://github.com/openlayers/openlayers/pull/10966) - Bump rollup from 2.6.1 to 2.7.2 ([@openlayers](https://github.com/openlayers))
 * [#10945](https://github.com/openlayers/openlayers/pull/10945) - Bump karma-mocha from 1.3.0 to 2.0.0 ([@openlayers](https://github.com/openlayers))
 * [#10943](https://github.com/openlayers/openlayers/pull/10943) - Bump pngjs from 4.0.0 to 5.0.0 ([@openlayers](https://github.com/openlayers))
 * [#10946](https://github.com/openlayers/openlayers/pull/10946) - Bump pixelmatch from 5.1.0 to 5.2.0 ([@openlayers](https://github.com/openlayers))
 * [#10944](https://github.com/openlayers/openlayers/pull/10944) - Bump loglevelnext from 3.0.1 to 4.0.1 ([@openlayers](https://github.com/openlayers))
 * [#10942](https://github.com/openlayers/openlayers/pull/10942) - Bump puppeteer from 2.1.1 to 3.0.0 ([@openlayers](https://github.com/openlayers))
 * [#10947](https://github.com/openlayers/openlayers/pull/10947) - Bump karma from 5.0.1 to 5.0.2 ([@openlayers](https://github.com/openlayers))
 * [#10918](https://github.com/openlayers/openlayers/pull/10918) - Bump @babel/preset-env from 7.9.0 to 7.9.5 ([@openlayers](https://github.com/openlayers))
 * [#10921](https://github.com/openlayers/openlayers/pull/10921) - Bump pngjs from 3.4.0 to 4.0.0 ([@openlayers](https://github.com/openlayers))
 * [#10923](https://github.com/openlayers/openlayers/pull/10923) - Bump sinon from 9.0.1 to 9.0.2 ([@openlayers](https://github.com/openlayers))
 * [#10922](https://github.com/openlayers/openlayers/pull/10922) - Bump karma from 4.4.1 to 5.0.1 ([@openlayers](https://github.com/openlayers))
 * [#10920](https://github.com/openlayers/openlayers/pull/10920) - Bump jsdoc from 3.6.3 to 3.6.4 ([@openlayers](https://github.com/openlayers))
 * [#10919](https://github.com/openlayers/openlayers/pull/10919) - Bump rollup from 2.3.3 to 2.6.1 ([@openlayers](https://github.com/openlayers))
 * [#10924](https://github.com/openlayers/openlayers/pull/10924) - Bump jquery from 3.4.1 to 3.5.0 ([@openlayers](https://github.com/openlayers))
 * [#10889](https://github.com/openlayers/openlayers/pull/10889) - Bump rollup from 2.3.0 to 2.3.3 ([@openlayers](https://github.com/openlayers))
 * [#10891](https://github.com/openlayers/openlayers/pull/10891) - Bump handlebars from 4.7.4 to 4.7.6 ([@openlayers](https://github.com/openlayers))


</details>
